//* glutnotifier.h
// celes@tecgraf.puc-rio.br
// Tecgraf/PUC-Rio
// Jan 2003

#ifndef VGL_GLUTNOTIFIER_H
#define VGL_GLUTNOTIFIER_H

#include <vgl/notifier.h>

/**
 * This class implements a GLUT event notifier.\n
 */
class VGL_API VglGlutNotifier : public VglNotifier
{
private:
  static int s_nidles;
protected:
  virtual void IdleAddRef ();
  virtual void IdleRemRef ();
public:
  /**
   * Constructs a new VglGlutNotifier object.
   * \param glutwindowhandle GLUT window handle that will identify this notifier.
   */
  VglGlutNotifier (int glutwindowhandle);
  /**
   * Destroys a VglGlutNotifier object.
   */
  virtual ~VglGlutNotifier ();
};

#endif
