//* iupnotifier.h
// celes@tecgraf.puc-rio.br
// Tecgraf/PUC-Rio
// Jan 2003

#ifndef VGL_IUPNOTIFIER_H
#define VGL_IUPNOTIFIER_H

#include <vgl/notifier.h>
#include <iup.h>

/**
 * This class implements a IUP event notifier.\n
 */
class VGL_API VglIupNotifier : public VglNotifier
{
private:
  static int s_nidles;
protected:
  virtual void IdleAddRef ();
  virtual void IdleRemRef ();
public:
  /**
   * Constructs a new VglIupNotifier object.
   * \param handle IUP window handle that will identify this notifier.
   */
  VglIupNotifier (Ihandle* handle);
  /**
   * Destroys a VglIupNotifier object.
   */
  virtual ~VglIupNotifier ();
};

#endif
