#ifndef VGLCORBA_HANDLER_H
#define VGLCORBA_HANDLER_H

#include <vgl/handler.h>

struct lua_State;

class VglCORBAHandler : public VglHandler {
  lua_State *m_L;
  bool m_active;
  bool Call (int nargs, int nresults);
public:
  /**
   * Returns the event handler class classname.
   */
  static char* CLASSNAME () { return "CORBAHandler"; }
  virtual char* ClassName () const { return CLASSNAME(); }
  VglCORBAHandler ();
  virtual ~VglCORBAHandler ();
  bool SetNotifierIOR (const char* IOR);
  virtual void Begin ();
  virtual void End ();
  virtual int Keyboard (int k, int st, float x, float y);
  virtual int MouseButton (int bt, int st, float x, float y);
  virtual int MouseMotion (int bt, float x, float y);
  virtual int MouseEntry (bool st);
  virtual int PostRedraw (void);
};

#endif
