//* cursor.h
// celes@tecgraf.puc-rio.br
// Tecgraf/PUC-Rio
// Jan 2003


#ifndef VGL_CURSOR_H
#define VGL_CURSOR_H

#include "handler.h"

class VglCanvas;

class VglCursor : public VglHandler
{
 bool m_drawn;
 float m_currx, m_curry;
 float m_lastx, m_lasty;
 VglCanvas* m_canvas;

public:
 VglCursor (VglCanvas* canvas);
 virtual ~VglCursor ();

 virtual void Activate ();
 virtual void Deactivate ();
 virtual void MouseMotion (int bt, float x, float y);
 virtual void MouseEntry (bool st);

	void Draw ();
	void Erase ();
};

#endif
