#ifndef VGL_GLUT_LUA
#define VGL_GLUT_LUA

#ifdef __cplusplus
extern "C" {
#endif
#include <lua.h>
#ifdef __cplusplus
}
#endif

#ifdef _WIN32
#ifdef VGLGLUTLUADLL
#define VGLGLUTLUAAPI __declspec(dllexport)
#else
#define VGLGLUTLUAAPI extern "C"
#endif
#else
#define VGLGLUTLUAAPI extern "C"
#endif

#ifdef LUA_NOOBJECT  /* Lua 3 */
VGLGLUTLUAAPI int  vglglut_open   (void);
VGLGLUTLUAAPI void vglglut_close  (void);
VGLGLUTLUAAPI int  vglcglut_open  (void);
VGLGLUTLUAAPI void vglcglut_close (void);
#endif
#ifdef LUA_NOREF  /* Lua 4 or 5 */
VGLGLUTLUAAPI int  vglglut_open   (lua_State* L);
VGLGLUTLUAAPI void vglglut_close  (lua_State* L);
VGLGLUTLUAAPI int  vglcglut_open  (lua_State* L);
VGLGLUTLUAAPI void vglcglut_close (lua_State* L);
#endif

#endif
