#ifndef VGLIM_LUA
#define VGLIM_LUA

#ifdef __cplusplus
extern "C" {
#endif
#include <lua.h>
#ifdef __cplusplus
}
#endif

#ifdef _WIN32
#ifdef VGLIMLUADLL
#define VGLIMLUAAPI __declspec(dllexport)
#else
#define VGLIMLUAAPI extern "C"
#endif
#else
#define VGLIMLUAAPI extern "C"
#endif

#ifdef LUA_NOOBJECT  /* Lua 3 */
VGLIMLUAAPI int  vglim_open   (void);
VGLIMLUAAPI void vglim_close  (void);
#endif
#ifdef LUA_NOREF  /* Lua 4 or 5 */
VGLIMLUAAPI int  vglim_open   (lua_State* L);
VGLIMLUAAPI void vglim_close  (lua_State* L);
#endif

#endif
