#ifndef VGL_LUA
#define VGL_LUA

#ifdef __cplusplus
extern "C" {
#endif
#include <lua.h>
#ifdef __cplusplus
}
#endif

#ifdef _WIN32
#ifdef VGLLUADLL
#define VGLLUAAPI __declspec(dllexport)
#else
#define VGLLUAAPI
#endif
#else
#define VGLLUAAPI
#endif

#ifdef LUA_NOOBJECT  /* Lua 3 */
int  VGLLUAAPI vgllua_open   (void);
void VGLLUAAPI vgllua_close  (void);
int  VGLLUAAPI vglclua_open  (void);
void VGLLUAAPI vglclua_close (void);
#endif
#ifdef LUA_NOREF  /* Lua 4 or 5 */
int  VGLLUAAPI vgllua_open   (lua_State* L);
void VGLLUAAPI vgllua_close  (lua_State* L);
int  VGLLUAAPI vglclua_open  (lua_State* L);
void VGLLUAAPI vglclua_close (lua_State* L);
#endif

#endif
