#ifndef VGLCORBA_NOTIFIER_H
#define VGLCORBA_NOTIFIER_H

#include <vgl/notifier.h>

struct lua_State;

class VglCORBANotifier : public VglNotifier {
  lua_State *m_L;
  char *m_ior;
  static void IdleFunc (void*);
protected:
  virtual void IdleAddRef ()
  {
  }
  virtual void IdleRemRef ()
  {
  }
public:
  VglCORBANotifier ();
  virtual ~VglCORBANotifier ();
  bool Listen (const char *listenhost=NULL, int listenport=-1, const char *iorhost=NULL, int iorport=-1);
  const char* GetIOR ();
  static const char *GetIDLCode ();
};

#endif
