#ifndef DVGL_DEFINES_H
#define DVGL_DEFINES_H

#define DCANVAS_COMPRESSION_NONE  0
#define DCANVAS_COMPRESSION_LZF   1
#define DCANVAS_COMPRESSION_MAX   2

#define DCANVAS_MODE_SIMPLE 1
#define DCANVAS_MODE_INTERC 2

#define DCANVAS_TAG_BOOLEAN    'b'
#define DCANVAS_TAG_INTEGER    'i'
#define DCANVAS_TAG_UINT       'x'
#define DCANVAS_TAG_USHORT     'u'
#define DCANVAS_TAG_FLOAT      'f'
#define DCANVAS_TAG_DOUBLE     'd'
#define DCANVAS_TAG_STRING     's'
#define DCANVAS_TAG_FLOATARRAY 'F'
#define DCANVAS_TAG_UCHARARRAY 'U'

#define DCANVAS_DATA_RGB   1
#define DCANVAS_DATA_ALPHA 2
#define DCANVAS_DATA_DEPTH 4

#define DCANVAS_EDGES     1
#define DCANVAS_BALEDGES  2

#define DCANVAS_SEPARATOR '\n'

#endif
