//* pan.h
// fabraham@tecgraf.puc-rio.br
// Tecgraf/PUC-Rio
// Oct 2005

#ifndef VGL_PAN_H
#define VGL_PAN_H

#include <vgl/handler.h>

class VglViewSurface;

class VGL_API VglPanHandler : public VglHandler
{
  VglViewSurface* m_surface;
  char m_constraint;
public:
  /**
   * Returns the event handler class classname.
   * \return Event handler class classname.
   */
  static char* CLASSNAME () { return "PanHandler"; }
  virtual char* ClassName () const { return CLASSNAME(); }

  VglPanHandler (VglViewSurface* surface);
  virtual ~VglPanHandler ();
  virtual int MouseMotion (int bt, float x, float y);
};

#endif
