#ifndef VGL_RECORD_H
#define VGL_RECORD_H

#include <vgl/handler.h>
#include <vgl/vglac.h>
//#include <alg/vector.h>
//#include <alg/matrix.h>
//#include <utl/clock.h>

//class VglCanvas;
class UtlClock;
class VglViewSurface;
class ACManager;
class ACTransition;

class VGLACAPI VglRecordHandler : public VglHandler
{
  VglViewSurface* m_surface;
  UtlClock *m_clock;
  ACManager* m_manager;
  ACTransition *m_transition;
  void AddControlPoint ();
protected:
  VglViewSurface* GetSurface ()
  {
    return m_surface;
  }
public:
  static char* CLASSNAME () { return "RecordHandler"; }
  virtual char* ClassName () const { return CLASSNAME(); }
  VglRecordHandler (VglViewSurface* surface);
  virtual ~VglRecordHandler ();
  virtual int Keyboard (int k, int st, float x, float y);
	virtual int PostRedraw ();
};

#endif
