#ifndef DVGL_LUA
#define DVGL_LUA

#ifdef __cplusplus
extern "C" {
#endif
#include <lua.h>
#ifdef __cplusplus
}
#endif

#ifdef _WIN32
#ifdef DVGLLUADLL
#define DVGLLUAAPI __declspec(dllexport)
#else
#define DVGLLUAAPI extern "C"
#endif
#else
#define DVGLLUAAPI extern "C"
#endif

#ifdef LUA_NOOBJECT  /* Lua 3 */
DVGLLUAAPI int  dvgl_open   (void);
DVGLLUAAPI void dvgl_close  (void);
#endif
#ifdef LUA_NOREF  /* Lua 4 or 5 */
DVGLLUAAPI int  dvgl_open   (lua_State* L);
DVGLLUAAPI void dvgl_close  (lua_State* L);
#endif

#endif
