#ifndef VGL_LUA
#define VGL_LUA

#ifdef __cplusplus
extern "C" {
#endif
#include <lua.h>
#ifdef __cplusplus
}
#endif

#ifdef WIN32
#ifdef VGLLUADLL
#define VGLLUAAPI __declspec(dllexport) extern "C"
#else
#define VGLLUAAPI extern "C"
#endif
#else
#define VGLLUAAPI extern "C"
#endif

#ifdef LUA_NOOBJECT  /* Lua 3 */
VGLLUAAPI int  vgl_open   (void);
VGLLUAAPI void vgl_close  (void);
VGLLUAAPI int  vglc_open  (void);
VGLLUAAPI void vglc_close (void);
#endif
#ifdef LUA_NOREF  /* Lua 4 or 5 */
VGLLUAAPI int  vgl_open   (lua_State* L);
VGLLUAAPI void vgl_close  (lua_State* L);
VGLLUAAPI int  vglc_open  (lua_State* L);
VGLLUAAPI void vglc_close (lua_State* L);
VGLLUAAPI void vgl_call (lua_State *L, int nargs, int nresults);
#endif

#endif
